package com.mason.server.exception;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

import com.google.appengine.api.datastore.Key;

@ResponseStatus(value = HttpStatus.NOT_FOUND)
public class ResourceNotFoundException extends RuntimeException {

	private static final long serialVersionUID = -4737773471820637063L;

	private String resourceId;

	public ResourceNotFoundException(String key) {
		this.resourceId = key;
	}

	public ResourceNotFoundException(Key key) {
		this.resourceId = key.toString();
	}

	public String getResourceId() {
		return resourceId;
	}

}
